#pragma once
#include "MxCADFunction.h"
class MxCADView;
class McDbDatabase;
class MXCADDLL MxCADObject
{
	friend class MxCADView;
public:
	MxCADObject();
	~MxCADObject();

	bool Create();

	int ReadFile(const char* pszFileName);

	int WriteFile(const char* pszFileName);

	McDbDatabase* GetDatabase();

	bool MakeCurrent();

	bool SendStringToExecute(LPCMSTR pszExecute, struct resbuf* pParam = 0);

	MXCADHANDLE getOcxHandle() {
		return m_hOcx;
	}
private:
	MXCADHANDLE m_hOcx;
};
